# Generated from thor-0.18.1.gem by gem2rpm -*- rhel6.spec -*-
%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_extdir %{_libdir}/gems/exts/%{gem_name}-%{version}
%global gem_extdir_mri %{_libdir}/gems/ruby/%{gem_name}-%{version}
%endif
%global gem_name thor
%global rubyabi 1.8

%{!?enable_test: %global enable_test 0}

Summary:       A scripting framework that replaces rake, sake and rubigen
Name:          rubygem-%{gem_name}
Version:       0.18.1
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://whatisthor.com/
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      ruby(abi) >= %{rubyabi}
Requires:      ruby(rubygems) >= 1.3.6
BuildRequires: ruby(abi) >= %{rubyabi}
BuildRequires: rubygem(rdoc)
BuildRequires: ruby-irb
%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
BuildRequires: rubygems
%else
BuildRequires: rubygems-devel
%endif
%if %{enable_test} > 0
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(fakeweb)
BuildRequires: git
%endif
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
A scripting framework that replaces rake, sake and rubigen


%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
         --bindir .%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

find %{buildroot}%{gem_instdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%if %{enable_test} > 0
%check
pushd .%{gem_instdir}
# Drop bundler dependency
sed -i "s/require 'bundler'//" Thorfile
# kill simplecov dependency
sed -i '3,10d' spec/helper.rb
# This fixes on test failure due to encoding issues.
# https://github.com/wycats/thor/issues/278
sed -i '177 i\content.force_encoding "UTF-8"' spec/shell/basic_spec.rb
# Fix failing tests
# /components and .empty_directory are present in git under v0.18.1 tag,
# but missing in .gem so the tests are failing
mkdir spec/fixtures/doc/components
touch spec/fixtures/doc/components/.empty_directory
rspec spec
popd
%endif

%files
%{_bindir}/thor
%doc %{gem_instdir}/LICENSE.md
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_instdir}/.*
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Thorfile
%{gem_instdir}/spec
%{gem_instdir}/thor.gemspec


%changelog
* Thu Dec 04 2014 sdodson@redhat.com - 0.18.1-2
- Add rdoc and irb BuildRequires

* Fri Nov 08 2013 tdawson@redhat.com - 0.18.1-1
- Update to 0.18.1
- Update spec to newer Fedora guidelines

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Mohammed Morsi <mmorsi@redhat.com> - 0.14.6-1
- Updated to latest upstream version

* Wed May 5 2010 Matthew Kent <mkent@magoazul.com> - 0.13.6-1
- New upstream version.

* Fri Dec 18 2009 Matthew Kent <mkent@magoazul.com> - 0.12.0-2
- Add Requires for rubygem(rake) (#542559).
- Upstream replaced Source after the gemcutter migration, update to latest
  (#542559).
- Add Requires for rubygem(diff-lcs) as Thor can take advantage of it for
  colourized diff output (#542559).

* Mon Nov 16 2009 Matthew Kent <mkent@magoazul.com> - 0.12.0-1
- Initial package
